org.apache.ignite.internal.util.nio

## Interface GridNioMessageWriterFactory

    public interface GridNioMessageWriterFactory

Message writer factory.

### Method Summary

Methods
`MessageWriter` `writer(GridNioSession ses)` Creates new writer.

### Method Detail

#### writer

    MessageWriter writer(GridNioSession ses)
                         throws IgniteCheckedException

Creates new writer.

Parameters:
  `ses` - Current session.
Returns:
  Writer.
Throws:
  `IgniteCheckedException` - In case of error.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017